<?php
namespace AppBundle\DataFixtures\ORM;

use Doctrine\Common\DataFixtures\FixtureInterface;
use Doctrine\Common\Persistence\ObjectManager;
use AppBundle\Entity\Muse;

class LoadMuseeData implements FixtureInterface
{
  public function load(ObjectManager $manager)
  {
    $url="http://opendata.paris.fr/explore/dataset/liste-musees-de-france-a-paris/download/?format=json&timezone=Europe/Berlin";
    $contents = file_get_contents($url);
    $contents = utf8_encode($contents);
    $json = json_decode($contents, true);
    foreach ($json as $object)
    {
        $fields = $object['fields'];
        if (isset($fields['coordonnees_']))
        {
            $musee = new Muse();
            $musee->setNom($fields['nom_du_musee']);
            $musee->setCoordonnees($fields['nom_du_musee']);
		
		 $musee->setAdresse($fields['adr']);
		 $musee->setCodePostale(null);
		 $musee->setVille($fields['ville']);
		 $musee->setSiteWeb('facebook.com');
		 $musee->setStatus($fields['ferme']);
		 $musee->setReouverture(null);
		 $musee->setFermetureAnnuelle(null);
		
		
		
            $manager->persist($musee);
        }
    }
    $manager->flush();
  }
}


